// 同步模块，信号收发
// 杭州秒寻科技有限公司
// 周涛
// 2023-11-20
// 注意：这部分代码为厂家提供，没做修改

#ifndef _SYNCTX_RXTX_H_
#define _SYNCTX_RXTX_H_

#include "sysdef.h"

// 供外部使用接口
void synctx_rxtx_init();
uint8 synctx_rxtx_send_signal();
uint8 synctx_rxtx_send_signal_over();
uint8 synctx_rxtx_query_tx_cplt_flag();
void synctx_rxtx_update_tx_alarm(uint8 byValue);
void synctx_rxtx_update_tx_cplt_flag(uint8 byValue);

// 内部接口
uint8 synctx_rxtx_clear_tx_fifo();
uint8 synctx_rxtx_clear_tx_int_flag();

#endif
